## e-db3-utils

e-db3-utils — Utilities for Berkeley DB databases

## Synopsis

    gint                e_db3_utils_maybe_recover           (const gchar *filename);
    gint                e_db3_utils_upgrade_format          (const gchar *filename);

## Description

Utilities for coping with Berkeley DB file format changes.

## Details

### e_db3_utils_maybe_recover ()

    gint                e_db3_utils_maybe_recover           (const gchar *filename);

Tries to recover from a failed file format upgrade.

`filename` : | path to a Berkeley DB file
Returns : | 0 if successful, -1 on failure

### e_db3_utils_upgrade_format ()

    gint                e_db3_utils_upgrade_format          (const gchar *filename);

Upgrades the file format of a Berkeley DB file from a previous version.

`filename` : | path to a Berkeley DB file
Returns : | 0 if successful, -1 on failure